#!/bin/sh

#  New2.sh
#  Para poder usar este script, abrir la terminal del sistema derivado de UNIX, ingresar <<  bash New2.sh  >>
#
#  Si el shell no es compatible verificar version, con el soporte de su sistema. Puede que necesite cambiar sh por ksh o csh o tcsh o  bash o zsh
#
#  Created by Edgar Alvarado Muñoz on 01/09/13.
#


#Funcion para poder ejecutar el listado general de los archivos
function first_option()
{
    DIR="."
    if [ $# -eq 0 ]
        then list_files .
        echo; echo Presione enter para continuar...
        read n
        menu
    fi

    #Para seguir encontrando archivos se propone un ciclo de comparación entre datos para definir sino se encuentra algun elemento
    for i in $*
    do
        DIR="$1"
        list_files "$DIR"
        shift 1
        #Condicion para seguir navegando al siguiente archivo o carpeta
    done
}


function list_files()
{
    if !(test -d "$1")
        then echo $1; return;
    fi

    cd "$1"
    echo; echo `pwd`:; #Display Directory name

    for i in *
    do
        if test -d "$i" #if dictionary
        then
            list_files "$i" #recursively list files
            cd ..
        else
            echo "$i"; #Display File name
        fi
    done
}

#Funcion para búsqueda de un archivo
function second_option()
{
    echo Introduzca una palabra clave para la búsqueda de algun archivo:
    read key
    find /Users/edgaralvaradomunoz/Desktop/Desk/* -iname "$key.*" -print
}

#Funcion para búsqueda de un archivo
function third_option()
{
    echo Introduzca una palabra clave de terminación para la búsqueda de algun archivo:
    read key
    find /Users/edgaralvaradomunoz/Desktop/Desk/* -iname "*.$key" -print
}

function menu()
{
    clear
    echo Seleccione una opción:
    echo 1.- Listar todos los archivos en el directorio
    echo 2.- Búsqueda por nombre
    echo 3.- Búsqueda por terminacion .mp4, .mp3, .png, .jpg...
    echo 4.- Salir
    read option
    case $option in
        1)
            first_option;;
        2)
            second_option;;
        3)
            third_option;;
        4)
            break;;
        *)
            break;;
    esac
}


#Codigo en primer plano para ejecutar

while [ $condition=="no" ]
#Mientras lo decidamos
do
    clear
#
echo Actualmente estas en : 'pwd'
    menu
    echo ¿Esta seguro que desea salir?;
    echo;
    read condition
    if $condition!="no"
    then
        break
    fi
done
